# User Data Type

This class represents a user.

Properties
name | data type | description
--- | --- | ---
id | string | The unique id of this object. This value is auto-generated when the DAO saves this object
authorities | array of object |
password | string |
username | string | The username
accountNonExpired | boolean | If the account is not expired
accountNonLocked | boolean | If the account is not locked
credentialsNonExpired | boolean | If the credentials are not expired
enabled | boolean | If the account is enabled
roles | array of string | The roles assigned to this user.

Example

    {
      "id" : "58e3946e0fb4f562d84ba1ad",
      "authorities" : [ { }, { } ],
      "password" : "...",
      "username" : "user",
      "accountNonExpired" : true,
      "accountNonLocked" : true,
      "credentialsNonExpired" : true,
      "enabled" : true,
      "roles" : [ "[\"ADMIN\",\"USER\"]", "..." ]
    }